$sourceFolders = Get-ChildItem -Path $PSScriptRoot -Directory -Recurse  # Liste des rpertoires source  partir du rpertoire de lancement du batch

# Parcourir les rpertoires source
foreach ($folder in $sourceFolders)
 {
    Set-Location $folder.FullName  # Dfinir le rpertoire courant comme le rpertoire source

    # Crer un rpertoire de destination avec le mme nom que le rpertoire source
    $destinationFolder = Join-Path $folder.Parent.FullName ($folder.Name + "_wii")

    # Ajouter un sous-rpertoire "MP3" dans le rpertoire de destination
    $mp3Folder = Join-Path $destinationFolder "MP3"
    if (!(Test-Path $mp3Folder)) 
    {
        New-Item -ItemType Directory -Path $mp3Folder
    }
        # Trouver tous les fichiers MP3 dans le rpertoire courant
    $mp3Files = Get-ChildItem -Path $folder.FullName -Recurse -Include *.mp3

    # Parcourir tous les fichiers MP3 dans le rpertoire courant
    $i = 2
    foreach ($mp3File in $mp3Files) 
	{
        # Copier le fichier MP3 dans le sous-rpertoire "MP3" du rpertoire de destination
        $newFileName = "TRACK" + $i.ToString("D2") + ".mp3"
        $newFilePath = Join-Path $mp3Folder $newFileName
        Copy-Item -Path $mp3File.FullName -Destination $newFilePath
        $i++
    }

    # Trouver tous les fichiers ISO dans le rpertoire courant
    $isoFiles = Get-ChildItem -Path $folder.FullName -Recurse -Include *.iso

    # Parcourir tous les fichiers ISO dans le rpertoire courant
    foreach ($isoFile in $isoFiles) 
    {

        # Extraire le contenu de l'ISO dans le sous-rpertoire cr
        & "C:\Program Files\7-Zip\7z.exe" x "$($isoFile.FullName)" "-o$($destinationFolder)"

    }

    Write-Host "Tous les fichiers MP3 extraits des fichiers ISO dans le rpertoire $($folder.FullName) ont t copis dans le sous-rpertoire $($mp3Folder)."
}


# Attendre l'entre de l'utilisateur pour fermer PowerShell
Write-Host "Press return to close PowerShell..."
$null = Read-Host

